This endpoint is still on our legacy API.
Fetch runs by camera and program.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Industrial under the Industrial category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/industrial/vision/runs/{camera_id}/{program_id}/{started_at_ms} \
--header 'Authorization: Bearer <token>'{
"deviceId": 1234512345123,
"endedAtMs": 0,
"programId": 1,
"reportMetadata": {
"itemsPerMinute": 0.1,
"noReadCount": 0,
"rejectCount": 0,
"successCount": 181
},
"results": [
{
"captureAtMs": 1553811994730,
"result": "PASS",
"stepResults": [
{
"angleCheck": {
"angleConfigured": {
"high": 150,
"low": 90
},
"angleFound": 60,
"endStepName": "Edge 2",
"startStepName": "Edge 1"
},
"barcode": [
{
"contents": "10855639004823",
"matchString": "10855639004823",
"type": "EAN8"
}
],
"booleanLogic": {
"operator": "AND",
"steps": [
{
"name": "Expiration Date",
"result": "PASS"
}
]
},
"caliper": {
"angleRange": {
"high": 360,
"low": 0
},
"contrastRange": {
"high": 100,
"low": 50
},
"distanceFound": 555.55,
"filterPolarity": "LIGHT TO DARK",
"maxDistance": 1000,
"minDistance": 500,
"sharpnessRange": {
"high": 100,
"low": 80
},
"straightnessRange": {
"high": 100,
"low": 80
},
"unit": "Millimeters"
},
"contour": {
"angleDegrees": 0,
"angleTolerance": 50,
"matchPercentage": 46,
"matchThreshold": 18
},
"distance": {
"distanceFound": 123,
"endStepName": "Bottom Right Square",
"enforceOffsetAngleRange": true,
"maxDistance": 900,
"maxOffsetAngle": 90,
"minDistance": 1500,
"minOffsetAngle": 45,
"offsetAngleFound": 50,
"startStepName": "Top Left Square",
"unit": "Millimeters"
},
"expirationDate": {
"dateOffset": 1,
"foundDate": "06/13/2019",
"matchDate": "06/13/2019"
},
"findCopies": {
"angleTolerance": 10,
"foundCount": 1,
"maxCount": 5,
"minCount": 1,
"threshold": 70
},
"findEdge": {
"angleFound": 90,
"angleRange": {
"high": 360,
"low": 0
},
"contrastPercent": 123,
"contrastRange": {
"high": 100,
"low": 50
},
"filterPolarity": "ANY",
"sharpnessPercent": 95,
"sharpnessRange": {
"high": 100,
"low": 80
},
"straightnessFound": 95,
"straightnessRange": {
"high": 100,
"low": 80
}
},
"findShapes": {
"foundCount": 1,
"maxCount": 5,
"minCount": 1
},
"fixture": {
"coordinates": {
"x": 10,
"y": 10
},
"found": true,
"rotationDegrees": 90
},
"labelMatch": {
"score": 10,
"threshold": 10
},
"name": "Chicken Caesar Label",
"presenceAbsence": {
"blueRange": {
"high": 150,
"low": 90
},
"checkForAbsence": true,
"grayscaleRange": {
"high": 100,
"low": 20
},
"greenRange": {
"high": 150,
"low": 90
},
"hueRange": {
"high": 100,
"low": 20
},
"redRange": {
"high": 150,
"low": 90
},
"saturationRange": {
"high": 50,
"low": 10
},
"score": 50,
"threshold": 50,
"valueRange": {
"high": 50,
"low": 10
}
},
"result": "PASS",
"textMatch": {
"foundText": "ABCD",
"matchString": "ABCD"
}
}
]
}
],
"startedAtMs": 1553808606097
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The camera_id should be valid for the given accessToken.
The configured program's ID on the camera.
Started_at_ms is a required param. Indicates the start time of the run to be fetched.
Include is a filter parameter. Accepts 'pass', 'reject' or 'no_read'.
curl --request GET \
--url https://api.samsara.com/v1/industrial/vision/runs/{camera_id}/{program_id}/{started_at_ms} \
--header 'Authorization: Bearer <token>'{
"deviceId": 1234512345123,
"endedAtMs": 0,
"programId": 1,
"reportMetadata": {
"itemsPerMinute": 0.1,
"noReadCount": 0,
"rejectCount": 0,
"successCount": 181
},
"results": [
{
"captureAtMs": 1553811994730,
"result": "PASS",
"stepResults": [
{
"angleCheck": {
"angleConfigured": {
"high": 150,
"low": 90
},
"angleFound": 60,
"endStepName": "Edge 2",
"startStepName": "Edge 1"
},
"barcode": [
{
"contents": "10855639004823",
"matchString": "10855639004823",
"type": "EAN8"
}
],
"booleanLogic": {
"operator": "AND",
"steps": [
{
"name": "Expiration Date",
"result": "PASS"
}
]
},
"caliper": {
"angleRange": {
"high": 360,
"low": 0
},
"contrastRange": {
"high": 100,
"low": 50
},
"distanceFound": 555.55,
"filterPolarity": "LIGHT TO DARK",
"maxDistance": 1000,
"minDistance": 500,
"sharpnessRange": {
"high": 100,
"low": 80
},
"straightnessRange": {
"high": 100,
"low": 80
},
"unit": "Millimeters"
},
"contour": {
"angleDegrees": 0,
"angleTolerance": 50,
"matchPercentage": 46,
"matchThreshold": 18
},
"distance": {
"distanceFound": 123,
"endStepName": "Bottom Right Square",
"enforceOffsetAngleRange": true,
"maxDistance": 900,
"maxOffsetAngle": 90,
"minDistance": 1500,
"minOffsetAngle": 45,
"offsetAngleFound": 50,
"startStepName": "Top Left Square",
"unit": "Millimeters"
},
"expirationDate": {
"dateOffset": 1,
"foundDate": "06/13/2019",
"matchDate": "06/13/2019"
},
"findCopies": {
"angleTolerance": 10,
"foundCount": 1,
"maxCount": 5,
"minCount": 1,
"threshold": 70
},
"findEdge": {
"angleFound": 90,
"angleRange": {
"high": 360,
"low": 0
},
"contrastPercent": 123,
"contrastRange": {
"high": 100,
"low": 50
},
"filterPolarity": "ANY",
"sharpnessPercent": 95,
"sharpnessRange": {
"high": 100,
"low": 80
},
"straightnessFound": 95,
"straightnessRange": {
"high": 100,
"low": 80
}
},
"findShapes": {
"foundCount": 1,
"maxCount": 5,
"minCount": 1
},
"fixture": {
"coordinates": {
"x": 10,
"y": 10
},
"found": true,
"rotationDegrees": 90
},
"labelMatch": {
"score": 10,
"threshold": 10
},
"name": "Chicken Caesar Label",
"presenceAbsence": {
"blueRange": {
"high": 150,
"low": 90
},
"checkForAbsence": true,
"grayscaleRange": {
"high": 100,
"low": 20
},
"greenRange": {
"high": 150,
"low": 90
},
"hueRange": {
"high": 100,
"low": 20
},
"redRange": {
"high": 150,
"low": 90
},
"saturationRange": {
"high": 50,
"low": 10
},
"score": 50,
"threshold": 50,
"valueRange": {
"high": 50,
"low": 10
}
},
"result": "PASS",
"textMatch": {
"foundText": "ABCD",
"matchString": "ABCD"
}
}
]
}
],
"startedAtMs": 1553808606097
}